Novell Home

Upgrading the GroupWise Snapins for ConsoleOne to GroupWise 6.5.1

Novell Cool Solutions: Feature
By Tay Kratzer

Digg This - Slashdot This

Posted: 8 Jan 2004
 

Purpose: Too often I go to customer's sites and see that they have patched their servers with GroupWise 6.5.1, but their Snapins are still version 6.5.0. With your GroupWise 6.5 Software Distribution Directory patched to 6.5.1, you should make sure that your Snapins to ConsoleOne are patched to GroupWise 6.5.1 Snapins. The GroupWise 6.5.1 Snapins have some important fixes to them. This document explains how to upgrade your Snapins, and also how to make sure that no one can use version 6.5.0 Snapins.

Beginning Assessment

1. Determine the version of GroupWise Snapins installed to ConsoleOne by doing the following:

  1. In ConsoleOne, choose Help|About Snapins
  2. Click on the GroupWise Administration button
  3. Determine the Version #

In Figure 1, the version is "6.5.0", which means these ConsoleOne Snapins need to be upgraded to version 6.5.1.

Figure 1
Upgrade Snapins
  1. Make sure to Exit ConsoleOne


  2. Go to the GroupWise 6.5.1 Software Distribution directory. Find the ADMIN directory and run "INSTALL.EXE".


  3. Proceed to the screen that looks like the one in Figure 2 below, and select the check-box "Install Administration files", with all other checkboxes unchecked. See Figure 2 for an example.
Figure 2
  1. Select the Next button, and proceed through the installation wizard.

    NOTE: Make sure when prompted for the path to ConsoleOne, you indicate the path to ConsoleOne that you actually run ConsoleOne from. The best thing to do is edit the Windows icon that you regularly use to launch ConsoleOne. When you edit the icon you will see a path that indicates the path to ConsoleOne.exe. Then use that path . . . . minus the "bin" directory. So if my icon reads that the path to ConsoleOne is "c:\novell\consoleone\bin\cosoleone.exe" then I would indicate in the installation wizard that the path to ConsoleOne is "c:\novell\consoleone".

    Ending Assessment
  2. Launch ConsoleOne

  3. Determine the version of GroupWise Snapins to ConsoleOne by doing the following:
      d. In ConsoleOne, choose Help|About Snapins
      e. Click on the GroupWise Administration button
      f. Determine the Version #

The goal is that the version should read 6.5.1 as shown in Figure 3.

Figure 3
Disabling Use of GroupWise 6.5.0 Snapins

GroupWise 6.5 has a new feature, that you can now see with the GroupWise 6.5.1 Snapins. With this feature you can disallow others from using the GroupWise 6.5.0 Snapins. If you work in an environment in which GroupWise is administered via a "de-centralized administration" model, this feature is particularly helpful.

Here's a quick set up to this solution. You are the lead administrator for a large GroupWise 6.5 system. You have upgraded the Software Distribution Directory to GroupWise 6.5.1. You have upgraded the elements of the GroupWise system within your control. You have also upgraded your ConsoleOne Snapins to 6.5.1. You have encouraged 40 other people who have the GroupWise 6.5.0 Snapins, to upgrade. You would like to create a deadline date for them to upgrade their Snapins. But how do you give that deadline any teeth! What do you do when the deadline passes? We've got the solution, follow along.

  1. Be logged into your eDirectory tree as a user with full rights to the GroupWise Primary Domain.


  2. Launch ConsoleOne, with the GroupWise 6.5.1 Snapins installed.


  3. In ConsoleOne, connect to the Primary Domain.


  4. Highlight the GroupWise System object, and select Tools|GroupWise System Operations|System Preferences.


  5. In System Preferences select the "Admin Lockout Settings" tab.


  6. Place a checkmark next to "Lock Out Older GroupWise Administration Snapins".


  7. In the field that reads "Minimum Snapin Release Version (X.X.X), put in the following value as shown in Figure 4 below:
Figure 4
  1. Click "OK"

    Now anyone that tries to administer the GroupWise system with GroupWise 6.5.0 Snapins will not be able to. They will get the error shown in Figure 5 below.
Figure 5

In order for the administrator to be able to use GroupWise Snapins in ConsoleOne, they must now install GroupWise 6.5.1 Snapins. Now there is one thing to keep in mind. This feature is new to GroupWise 6.5. So only GroupWise 6.5x Snapins know to restrict someone from administering the GroupWise system with older Snapins. The implication is that if someone has GroupWise 6.0x or GroupWise 5.5x Snapins they could still administer your GroupWise system.

Summary

The GroupWise Snapins to ConsoleOne are an essential part of the GroupWise 6.5.1 support pack. Novell's GroupWise development team has clearly created a solution that should help to insure you are on the latest Snapins.

more Kratzer's Hot Docs

See other articles written by Tay Kratzer at "Kratzer's Hot Docs": http://www.novell.com/coolsolutions/gwmag/trenches/kratzer.html


Novell Cool Solutions (corporate web communities) are produced by WebWise Solutions. www.webwiseone.com

© 2014 Novell